Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class MimeTypeHelper.ContentType

    java.lang.Object
      |
      +--com.bea.p13n.content.MimeTypeHelper.ContentType

public static class MimeTypeHelper.ContentType
extends java.lang.Object
implements java.io.Serializable

The data representation of a MIME 1.0 Content Type.

See Also:
  `MimeTypeHelper.parseContentType(java.lang.String)`, Serialized Form

Field Summary
`java.lang.String` | `major` The Major type.
`java.lang.String` | `minor` The Minor type.
`java.util.Properties` | `properties` Additional properties of the content type.

Constructor Summary
`MimeTypeHelper.ContentType()` Constructor.
`MimeTypeHelper.ContentType(java.lang.String major, java.lang.String minor)` Constructor with media type information.

Method Summary
`java.lang.String` | `toString()` Return the MimeType in "major/minor[; name=value; name=value...]" form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### major

    public java.lang.String major

  The Major type.

### minor

    public java.lang.String minor

  The Minor type.

### properties

    public java.util.Properties properties

  Additional properties of the content type.

Constructor Detail

### MimeTypeHelper.ContentType

    public MimeTypeHelper.ContentType(java.lang.String major,
                                      java.lang.String minor)

  Constructor with media type information.

### MimeTypeHelper.ContentType

    public MimeTypeHelper.ContentType()

  Constructor.

Method Detail

### toString

    public java.lang.String toString()

  Return the MimeType in "major/minor[; name=value; name=value...]" form.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved